# $Revision: 1.212 $, $Date: 2007/03/09 18:29:43 $
#
# TODO:
#		- fix makefile (-D_UNKNOWN_KERNEL_POINTER_SIZE issue)
#
# Conditional build:
%bcond_without	doc		# without documentation (HOWTOS) which needed TeX
%bcond_without	dist_kernel	# without distribution kernel
#
%define		_netfilter_snap		20060829
%define		llh_version		7:2.6.13.0-1
%define		name6			ip6tables
#
Summary:	Extensible packet filtering system && extensible NAT system
Summary(pl.UTF-8):	System filtrowania pakietów oraz system translacji adresów (NAT)
Summary(pt_BR.UTF-8):	Ferramenta para controlar a filtragem de pacotes no kernel-2.6.x
Summary(ru.UTF-8):	Утилиты для управления пакетными фильтрами ядра Linux
Summary(uk.UTF-8):	Утиліти для керування пакетними фільтрами ядра Linux
Summary(zh_CN.UTF-8):	Linux内核包过滤管理工具
Name:		iptables
Version:	1.3.6
%define		_rel 1.2.6.18
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.netfilter.org/pub/iptables/%{name}-%{version}.tar.bz2
# Source0-md5:	077e886a9c90a11bb47f3d7a4fc4a689
Source1:	cvs://cvs.samba.org/netfilter/%{name}-howtos.tar.bz2
# Source1-md5:	2ed2b452daefe70ededd75dc0061fd07
Source2:	%{name}.init
Source3:	%{name6}.init

#Patch0:		%{name}-%{_netfilter_snap}.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-man.patch

#Patch5:		%{name}-comment-%{_netfilter_snap}.patch
#Patch6:		%{name}-expire-%{_netfilter_snap}.patch
Patch7:		%{name}-1.3.0-imq1.diff

Patch10:	%{name}-connbytes-xtables.patch

Patch12:	%{name}-ipp2p-%{_netfilter_snap}.patch
Patch13:	grsecurity-1.2.11-iptables.patch
#Patch7:		%{name}-nf-ULOG.patch
#Patch8:		%{name}-nf-geoip.patch
#Patch10:	%{name}-nf-ip_queue_vwmark.patch
#Patch11:	%{name}-hot_dirty_fix.patch
Patch14:	%{name}-layer7-2.3.patch
Patch999:	%{name}-llh-dirty-hack.patch

URL:		http://www.netfilter.org/
%if %{with doc}
BuildRequires:	sgml-tools
BuildRequires:	sgmls
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-latex
BuildRequires:	tetex-tex-babel
BuildRequires:	sed >= 4.0
%endif
%if %{with dist_kernel} && %{_netfilter_snap} != 0
BuildRequires:	kernel-headers(netfilter) >= %{_netfilter_snap}
BuildRequires:	kernel-source
Requires:	kernel(netfilter) >= %{_netfilter_snap}
%endif
#BuildRequires:	linux-libc-headers >= %{llh_version}
BuildConflicts:	kernel-headers < 2.3.0
Provides:	firewall-userspace-tool
Obsoletes:	netfilter
Obsoletes:	ipchains
Obsoletes:	iptables-ipp2p
Obsoletes:	iptables24-compat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extensible NAT system, and an extensible packet filtering system.
Replacement of ipchains in 2.4 and higher kernels.

%description -l pl.UTF-8
Wydajny system translacji adresów (NAT) oraz system filtrowania
pakietów. Zamiennik ipchains w jądrach 2.4 i nowszych.

%description -l pt_BR.UTF-8
Esta é a ferramenta que controla o código de filtragem de pacotes do
kernel 2.4, obsoletando ipchains. Com esta ferramenta você pode
configurar filtros de pacotes, NAT, mascaramento (masquerading),
regras dinâmicas (stateful inspection), etc.

%description -l ru.UTF-8
iptables управляют кодом фильтрации сетевых пакетов в ядре Linux. Они
позволяют вам устанавливать межсетевые экраны (firewalls) и IP
маскарадинг, и т.п.

%description -l uk.UTF-8
iptables управляють кодом фільтрації пакетів мережі в ядрі Linux. Вони
дозволяють вам встановлювати міжмережеві екрани (firewalls) та IP
маскарадинг, тощо.

%package devel
Summary:	Libraries and headers for developing iptables extensions
Summary(pl.UTF-8):	Biblioteki i nagłówki do tworzenia rozszerzeń iptables
Group:		Development/Libraries
Obsoletes:	iptables24-devel

%description devel
Libraries and headers for developing iptables extensions.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe niezbędne do tworzenia rozszerzeń dla
iptables.

%package init
Summary:	Iptables init (RedHat style)
Summary(pl.UTF-8):	Iptables init (w stylu RedHata)
Group:		Networking/Admin
Release:	%{_rel}
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}
Obsoletes:	firewall-init
Obsoletes:	firewall-init-ipchains
Obsoletes:	iptables24-init

%description init
Iptables-init is meant to provide an alternate way than firewall-init
to start and stop packet filtering through iptables(8).

%description init -l pl.UTF-8
Iptables-init ma na celu udostępnienie alternatywnego w stosunku do
firewall-init sposobu włączania i wyłączania filtrów IP jądra poprzez
iptables(8).

%prep
%setup -q -a1

#patch0 -p1
%{!?without_dist_kernel:%patch1 -p1}
%patch2 -p1

#patch5 -p1
#patch6 -p1
%patch7 -p1

%patch10 -p1

%patch12 -p1
%patch13 -p1
#patch4 -p1
#patch5 -p1
#patch7 -p1
#patch8 -p1
#patch9 -p1
#patch10 -p1
#patch11 -p1
%patch14 -p1

%patch999 -p1

chmod 755 extensions/.*-test*

# needs update (still valid?)
rm extensions/.string-test
#rm extensions/.expire-test6

%build
%{__make} all experimental \
	CC="%{__cc}" \
	COPT_FLAGS="%{rpmcflags} -D%{!?debug:N}DEBUG" \
	KERNEL_DIR="%{_kernelsrcdir}" \
	LIBDIR="%{_libdir}" \
	LDLIBS="-ldl"

%if %{with doc}
%{__make} -C iptables-howtos
sed -i 's:$(HTML_HOWTOS)::g; s:$(PSUS_HOWTOS)::g' iptables-howtos/Makefile
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_includedir},%{_libdir},%{_mandir}/man3}

echo ".so iptables-save.8" > %{name6}-save.8
echo ".so iptables-restore.8" > %{name6}-restore.8

%{__make} install install-experimental \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}

echo ".so iptables.8" > $RPM_BUILD_ROOT%{_mandir}/man8/%{name6}.8

# Devel stuff
cp -a include/{lib*,ip*} $RPM_BUILD_ROOT%{_includedir}
install lib*/lib*.a $RPM_BUILD_ROOT%{_libdir}
install libipq/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name6}

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add %{name}
/sbin/chkconfig --add %{name6}

%preun init
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del %{name}
	/sbin/chkconfig --del %{name6}
fi

%files
%defattr(644,root,root,755)
%{?with_doc:%doc iptables-howtos/{NAT,networking-concepts,packet-filtering}-HOWTO*}
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/iptables
%attr(755,root,root) %{_libdir}/iptables/*.so
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc iptables-howtos/netfilter-hacking-HOWTO*}
%{_libdir}/lib*.a
%{_includedir}/*.h
%dir %{_includedir}/libip*
%{_includedir}/libip*/*.h
%{_mandir}/man3/*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iptables.spec,v $
Revision 1.212  2007/03/09 18:29:43  mguevara
- removed iptables dependency from devel subpackage

Revision 1.211  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.210  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.209  2006/10/09 18:45:59  qboosh
- texconfig is not BRed

Revision 1.208  2006/09/30 09:34:16  zbyniu
- up to 1.3.6 and for 2.6.18

Revision 1.207  2006/09/13 18:49:12  cieciwa
- updated for 2.6.17.

Revision 1.206  2006/08/30 10:33:15  cieciwa
- expire not exists.

Revision 1.205  2006/08/30 10:27:21  cieciwa
- removed broken module.

Revision 1.204  2006/08/29 10:56:01  cieciwa
- update to snap 20060829.

Revision 1.203  2006/07/16 20:53:58  shadzik
- updated layer7 patch

Revision 1.202  2006/06/29 08:47:34  arekm
- add layer7 patch

Revision 1.201  2006/06/10 07:44:32  patrys
- BR: texconfig for doc

Revision 1.200  2006/05/12 19:59:00  zbyniu
- stealth module from grsec revival

Revision 1.199  2006/05/04 09:58:15  cieciwa
- netfilter snap 20060504.

Revision 1.198  2006/04/06 08:14:34  cieciwa
- added ipp2p support.

Revision 1.197  2006/04/04 09:31:45  cieciwa
- connbytes converted from IPTables to XTables.

Revision 1.196  2006/03/30 20:53:50  cieciwa
- removed broken expire module.

Revision 1.195  2006/03/30 20:51:07  cieciwa
- updated build process.

Revision 1.194  2006/03/29 09:47:10  cieciwa
- updated patches, and renumbering.

Revision 1.193  2006/03/29 09:43:26  cieciwa
- prepared for 2.6.16 and nf-20060329.

NFY.

Revision 1.192  2006/03/24 13:56:58  wrobell
- patch entries cleaned up

Revision 1.191  2006/03/24 13:54:14  wrobell
- ver. 1.3.5

Revision 1.190  2006/03/23 12:22:13  qboosh
- simplified Version, dropped Vendor field

Revision 1.189  2006/03/21 12:40:43  qboosh
- cleanup

Revision 1.188  2006/02/18 17:03:06  averne
- added layer7 patch

Revision 1.187  2006/02/11 13:43:39  arekm
- rel 5

Revision 1.186  2006/01/26 09:48:44  arekm
- rel 4

Revision 1.185  2006/01/13 15:00:10  arekm
- rel .3

Revision 1.184  2005/12/08 22:35:08  arekm
- rel 2

Revision 1.183  2005/12/05 17:32:51  djrzulf
- the same, with requries,

Revision 1.182  2005/12/05 16:42:26  djrzulf
- compatibilie with newer kernels (as cieciwa said),

Revision 1.181  2005/11/17 18:17:04  arekm
- rel 1

Revision 1.180  2005/11/17 10:25:03  cieciwa
- new snap 20051115.

Revision 1.179  2005/11/09 11:12:06  cieciwa
- turn off ip_queue_vwmark patch.

Revision 1.178  2005/11/08 07:16:00  cieciwa
- fixed.

Revision 1.177  2005/09/16 15:20:37  cieciwa
- _rel 0.2,
- added ACCOUNT module.

Revision 1.176  2005/09/15 12:31:43  glen
- without kernel_ver_str in release for -init package

Revision 1.175  2005/09/15 12:23:51  pluto
- updated to 1.3.3, prepared for splitted netfilter, nfy.

Revision 1.174  2005/08/04 19:52:52  pluto
- updated to 1.3.2, netfilter patch updated, dedicated for 2.6.12.x kernel.
- geoip module disabled `til fix arrives.
- release 1.

Revision 1.173  2005/06/11 17:06:16  pluto
- pom-ng branch diff updated.

Revision 1.172  2005/05/23 16:13:23  pluto
- fixed typo in log.

Revision 1.171  2005/05/23 16:10:48  pluto
- reenable BR:kernel-source (P: were fixed in kernel-2.6.11.10-4).

Revision 1.170  2005/05/22 10:14:54  speedy
- missing %%

Revision 1.169  2005/05/22 10:07:06  averne
- rel 6

Revision 1.168  2005/05/22 10:01:25  pluto
- connmark save/restore buglet fixed.

Revision 1.167  2005/05/13 14:46:31  baggins
- what's the point of without dist_kernel bcond when Makefile patch KILLS IT!
- fixed

Revision 1.166  2005/05/08 09:36:57  paszczus
- fixed BR/llh version

Revision 1.165  2005/05/06 21:52:45  pluto
- wrr, wrong release. bump to 5 for Ac.

Revision 1.164  2005/05/06 21:31:20  pluto
- updated for 2.6.11.8-3 kernel.
- layer7 patch merged into branch diff.
- release 1.

Revision 1.163  2005/03/26 05:36:04  pluto
- release 4.

Revision 1.162  2005/03/25 22:54:34  pluto
- nat-compat patch removed.

Revision 1.161  2005/03/25 22:02:15  pluto
- reworked ipt_connlimit added to the kernel.

Revision 1.160  2005/03/25 09:19:12  havner
- obsoletes for ipp2p

Revision 1.159  2005/03/25 04:46:58  havner
- rel 2

Revision 1.158  2005/03/22 18:57:17  pluto
- release 1.

Revision 1.157  2005/03/17 11:36:15  pluto
- BR(llh) updated.
- typo fixed.

Revision 1.156  2005/03/16 19:14:19  qboosh
- readded man patch (lost in action?)
- unified: removed _initrddir macro usage

Revision 1.155  2005/03/16 17:13:17  pluto
- update finished.
- TODO added.
- release 0.1.

Revision 1.154  2005/03/16 16:56:55  pluto
- updated to 1.3.1, nfy.

Revision 1.153  2005/03/11 01:46:13  pluto
- log restored.

Revision 1.152  2005/03/09 22:12:38  paszczus
- reverted

Revision 1.151  2005/03/09 21:50:07  paszczus
- corrected Source0 URL
- commented %patch1
- release down to 0.1 (patch update needed)

Revision 1.150  2005/01/20 11:11:31  kosmo
- removed layer7 subpackage
- grrrrrr ... (l7-protocols.spec)

Revision 1.149  2005/01/19 21:19:55  kosmo
- added layer7 patch - see http://l7-filter.sf.net
- added subpackage with protocol patterns for layer 7 filter

Revision 1.148  2005/01/09 04:49:48  havner
- BR(llh) from LINUX_2_6_10 (this tag is removed for now, pluto use HEAD
  until we'll be forced to split

Revision 1.147  2005/01/08 02:43:15  havner
- ipt_stealh from grsecurity

Revision 1.146  2005/01/05 15:24:21  havner
- rel 1

Revision 1.145  2005/01/05 14:29:54  havner
- imq update

Revision 1.144  2004/12/11 13:10:41  pluto
- release 0.2 (ready for tests).

Revision 1.143  2004/12/11 12:38:33  pluto
- updated to 1.3.0-20041118 + pom-ng-20041118.
- nfy...

Revision 1.142  2004/08/05 20:31:36  havner
- rel 3

Revision 1.141  2004/08/03 17:45:52  havner
- iptables24 obsoletes where required
- rel 2

Revision 1.140  2004/07/29 14:25:38  gotar
- cosmetics

Revision 1.139  2004/07/03 20:57:28  pluto
- llh(netfilter) updated, BR: fixed.

Revision 1.138  2004/07/03 19:20:36  qboosh
- require llh 2.6.7.0-3 (previous versions had broken ip{,6}t API)
- added debug patch (to allow build with -O0), killed unnecessary -nsl, cosmetics

Revision 1.137  2004/07/03 16:53:05  qboosh
- this version needs llh 2.6.7.0-2

Revision 1.136  2004/06/30 08:13:25  cieciwa
- version 1.2.11,
- _rel 1,
- added patch from netfilter module.

Revision 1.135  2004/06/20 11:36:11  pluto
- BR(llh) updated.

Revision 1.134  2004/06/12 14:33:44  pluto
- ip6tables.init fixed, release 2.1.

Revision 1.133  2004/06/11 21:08:35  havner
- rel up
- ip6tables.init added
- needs testing

Revision 1.132  2004/06/10 08:58:29  pluto
- updated to 20040608.
- release 1.

Revision 1.131  2004/06/01 15:04:55  tommat
- added BR tetex-format-latex

Revision 1.130  2004/05/25 09:52:06  blues
- libipt_time patch added

Revision 1.129  2004/05/25 08:53:53  blues
- some play with bconds

Revision 1.128  2004/05/22 16:21:40  pluto
- ipt_account added.
- release 2.

Revision 1.127  2004/05/19 09:08:15  pluto
- outdated patch removed.
- BR:llh updated.
- release 1.

Revision 1.126  2004/05/19 08:46:55  cieciwa
- update for snap 20040518

Revision 1.125  2004/05/17 20:00:05  qboosh
- typo (noticed by Slawomir Sedyka)

Revision 1.124  2004/05/12 09:54:02  pluto
- BR: llh updated.

Revision 1.123  2004/04/30 11:12:51  pluto
- devel: ip{pool,ulog} added.
- release 2.

Revision 1.122  2004/04/30 10:55:16  pluto
- pom-ng fixes added.

Revision 1.121  2004/04/30 10:03:40  pluto
- updated to 20040429.

Revision 1.120  2004/04/16 20:59:22  pluto
- updated to v1.2.10 (snap 20040415).

Revision 1.119  2004/04/08 13:01:47  pluto
- syncing with kernel(netfilter)==20040330.

Revision 1.118  2004/04/07 19:27:19  ankry
- init subpackage should be version-independent to allow its coexistence with iptables24
- rel. 3

Revision 1.117  2004/04/07 09:36:31  ankry
- Obsoletes: firewall-init-ipchains, rel ++

Revision 1.116  2004/04/03 10:19:29  pluto
- md5 out.

Revision 1.115  2004/04/03 10:15:47  pluto
- updated to 20040402.

Revision 1.114  2004/03/25 18:58:02  pluto
- updated to 20040322.

Revision 1.113  2004/03/14 15:27:03  pluto
- more cleanups.
- release 2.

Revision 1.112  2004/03/14 14:55:06  pluto
- removed ipt_p2p.
- added IMQ (ipv4).

Revision 1.111  2004/03/14 14:03:56  gotar
- added %bcond_without dist_kernel (is '%if .. && .. =! 0' ok?),
- added KERNEL_DIR=%{_kernelsrcdir} to make,
- cosmetics.

Revision 1.110  2004/03/14 13:26:16  pluto
- cleanups.

Revision 1.109  2004/03/14 12:11:57  pluto
- linux_2_6 -> head.

Revision 1.63.2.11.2.61  2004/03/13 21:27:16  mmazur
- bcond unification - based on http://www.gentoo.org/dyn/use-index.xml

Revision 1.63.2.11.2.60  2004/03/10 15:48:24  pluto
- fixed %%attr.

Revision 1.63.2.11.2.59  2004/03/08 10:03:06  cieciwa
- snap-20040308.

DON'T TOUCH THIS !
Building OK.

Revision 1.63.2.11.2.58  2004/03/07 19:34:23  cieciwa
- fixed include error

Revision 1.63.2.11.2.57  2004/03/07 09:51:58  cieciwa
- snap 20040307

Revision 1.63.2.11.2.56  2004/03/05 09:24:04  cieciwa
- snap 20040305.

Revision 1.63.2.11.2.55  2004/03/04 16:14:42  pluto
- cleanups.

Revision 1.63.2.11.2.54  2004/03/04 09:22:50  cieciwa
- snap 20040304,
- _rel 1.

Revision 1.63.2.11.2.53  2004/03/03 23:14:05  cieciwa
- added ERRNO includes.

Revision 1.63.2.11.2.52  2004/03/03 09:10:06  cieciwa
- removed ipp2p.

Revision 1.63.2.11.2.51  2004/03/03 06:00:46  pluto
- todo.

Revision 1.63.2.11.2.50  2004/03/03 05:51:01  pluto
- ipp2p patch added.

Revision 1.63.2.11.2.49  2004/03/02 23:04:48  pluto
- %%files

Revision 1.63.2.11.2.48  2004/03/02 22:40:30  pluto
- new subpackage: iptables-init.
- cleanups.

Revision 1.63.2.11.2.47  2004/03/02 19:19:59  pluto
- fixed include paths.

Revision 1.63.2.11.2.46  2004/03/01 12:22:18  cieciwa
- fixed dstlimit [OK]

Revision 1.63.2.11.2.45  2004/02/26 23:45:23  cieciwa
- snap 20040225

Revision 1.63.2.11.2.44  2004/02/22 22:34:20  cieciwa
- fixed

Revision 1.63.2.11.2.43  2004/02/22 16:24:39  averne
- fixed patch10

Revision 1.63.2.11.2.42  2004/02/22 16:14:14  averne
- DF sucks, commented stable version Source

Revision 1.63.2.11.2.41  2004/02/22 16:07:02  averne
- deleted Source0 md5

Revision 1.63.2.11.2.40  2004/02/22 15:51:17  averne
- added full path to Source0

Revision 1.63.2.11.2.39  2004/02/22 15:46:35  averne
- fixed source0 again

Revision 1.63.2.11.2.38  2004/02/22 15:44:02  averne
- fixed source

Revision 1.63.2.11.2.37  2004/02/22 15:35:02  eothane
- snapshot's md5

Revision 1.63.2.11.2.36  2004/02/22 09:39:27  averne
- updated to 0219

Revision 1.63.2.11.2.35  2004/02/18 09:21:28  cieciwa
- don't build SET module 2-nd try

Revision 1.63.2.11.2.34  2004/02/18 09:08:15  cieciwa
- don't build SET module

Revision 1.63.2.11.2.33  2004/02/16 09:07:16  cieciwa
- snap 20040216

Revision 1.63.2.11.2.32  2004/02/04 20:01:10  cieciwa
- fixed %%build

Revision 1.63.2.11.2.31  2004/01/31 21:54:09  pbern
- bcond fix

Revision 1.63.2.11.2.30  2004/01/31 21:45:06  pbern
- new bcond style

Revision 1.63.2.11.2.29  2004/01/30 11:14:40  cieciwa
- snap 20040130

Revision 1.63.2.11.2.28  2004/01/27 11:51:51  cieciwa
- gline-kernel-hreaders fix

Revision 1.63.2.11.2.27  2004/01/25 05:29:31  twittner
- changed BR: perl to perl-base.

Revision 1.63.2.11.2.26  2004/01/15 12:31:22  cieciwa
- removed broken ipt_time

Revision 1.63.2.11.2.25  2004/01/14 13:25:36  cieciwa
- snap 20040114.

Revision 1.63.2.11.2.24  2004/01/14 11:03:46  cieciwa
- snap 20040107

Revision 1.63.2.11.2.23  2004/01/05 11:32:23  cieciwa
- updated to snap 20040105.

Revision 1.63.2.11.2.22  2003/12/26 22:11:45  cieciwa
- snap 20031226

Revision 1.63.2.11.2.21  2003/12/25 09:20:53  cieciwa
- BR: tetex-tex-babel

Revision 1.63.2.11.2.20  2003/12/23 11:53:03  cieciwa
- netfilter snap 20031222

Revision 1.63.2.11.2.19  2003/12/21 09:31:18  cieciwa
- _rel 1,
- snap 20031221.

Revision 1.63.2.11.2.18  2003/12/20 10:41:58  cieciwa
- _rel 2,
- ready for 2.6.0-1 kernel,
- removed patchces not included in kernel.

Revision 1.63.2.11.2.17  2003/12/17 13:18:05  cieciwa
- snapshot 20031217.

Revision 1.63.2.11.2.16  2003/12/11 00:06:29  cieciwa
- updated to snap from 20031210.

Revision 1.63.2.11.2.15  2003/12/05 10:44:44  cieciwa
- removed Source0-md5.

Revision 1.63.2.11.2.14  2003/12/05 10:31:39  cieciwa
- updated MD5 sum

Revision 1.63.2.11.2.13  2003/12/05 10:21:47  cieciwa
- _rel 1,
- netfilter_snap 20031204,
- added patches from netfilter [*.userspace].

Revision 1.63.2.11.2.12  2003/12/03 11:27:45  cieciwa
- fixed snap head.

Revision 1.63.2.11.2.11  2003/11/27 16:56:12  zytek
- p2p patch added (needs kernel module which is not currently in LINUX_2_6 kernel.spec)

Revision 1.63.2.11.2.10  2003/11/09 17:53:51  averne
- updated to 1.2.9

Revision 1.63.2.11.2.9  2003/10/28 10:35:08  cieciwa
- [PL] Spierd*** z nazwa sciezki w Source0 - to jest snap z CVSu

Revision 1.63.2.11.2.8  2003/10/28 10:25:19  cieciwa
- fixed MD%sum

Revision 1.63.2.11.2.7  2003/10/27 11:24:33  cieciwa
- updated to snap 20031026

Revision 1.63.2.11.2.6  2003/10/12 06:09:11  cieciwa
- fixed doc's

Revision 1.63.2.11.2.5  2003/10/10 12:36:25  cieciwa
- typo

Revision 1.63.2.11.2.4  2003/10/10 11:25:29  cieciwa
- update to version 1.2.9rc1.

Revision 1.63.2.11.2.3  2003/08/27 10:33:45  cieciwa
- small temporary fix - kernel needs tobe fixed for new iptables too.

Revision 1.63.2.11.2.2  2003/08/27 10:29:49  cieciwa
- don't use distfiles for main source.

Revision 1.63.2.11.2.1  2003/08/27 10:20:04  cieciwa
- prepared for 2.6.0 kernel.

Revision 1.83  2003/07/15 13:41:37  baggins
- really apply IMQ patch

Revision 1.82  2003/07/15 13:37:05  baggins
- bring it up-to-date with CVS so we have all extensions

Revision 1.81  2003/07/15 13:25:30  baggins
- updated IMQ patch
- removed IPMARK patch (not needed)

Revision 1.80  2003/07/12 23:01:13  ankry
- restored some lost features from rel. 1.76

Revision 1.79  2003/07/11 22:15:30  baggins
- rpm SUCKS at parseing comments

Revision 1.78  2003/07/11 12:09:07  baggins
- it's not snapshot, it's just patched

Revision 1.77  2003/07/10 14:09:05  baggins
- merged from LINUX_2_4
- 20030616 snap
- up to date with kernel.spec from HEAD

Revision 1.63.2.11  2003/06/07 11:43:48  cieciwa
- updated for last snap 2003 06 05

Revision 1.63.2.12  2003/06/05 11:19:22  cieciwa
- release 5,
- update for 2003 06 05 snap,
- fixed IPMARK compile.

Revision 1.63.2.11  2003/05/27 09:06:38  cieciwa
- changed bcond from without_tex to without_howto

Revision 1.63.2.10  2003/05/18 11:51:38  cieciwa
- updated for snap 20030518,
- updated grsecurity patch.

Revision 1.63.2.9  2003/05/15 09:24:49  qboosh
- missing dir

Revision 1.63.2.8  2003/04/23 13:13:48  cieciwa
- release 2,
- updated to snapshot 20030418.

Revision 1.63.2.7  2003/04/14 07:08:58  cieciwa
- fixed typo.

Revision 1.63.2.6  2003/04/14 06:52:39  cieciwa
- updated to version 1.2.8.

Revision 1.63.2.5  2003/04/03 15:23:02  cieciwa
- fixed BuildRequires:

Revision 1.63.2.4  2003/04/01 06:46:00  cieciwa
- release 8,
- updated to netfilter from 20030326.

Revision 1.63.2.3  2003/03/20 14:46:47  cieciwa
- uncommented requires.

Revision 1.63.2.2  2003/03/14 09:49:18  cieciwa
- prepared for 2.4.20-4.

Revision 1.63.2.1  2003/02/05 11:33:36  cieciwa
- release 7,
- updated to version from CVS to solve problem with new netfilter features.

Revision 1.63  2003/01/31 07:58:53  cieciwa
- release 6,
- s/kernel_netfilter/kernel(netfilter)/.

Revision 1.60.2.15  2002/12/10 10:16:12  cieciwa
- release 5,
- fixed IMQ module,
- ready for 2.4.20 kernel.

Revision 1.60.2.14  2002/10/23 08:45:48  cieciwa
- release 4,
- moved back include from /usr/linclude to /usr/include/iptables,
- changeing patch12 and fixed "-p" to -p1,
- NOT merged with kernel netfilter.

Revision 1.60.2.13  2002/10/23 07:01:52  cieciwa
- moved include from /usr/include/iptables/* to /usr/include/ where other
  program loking for it.

Revision 1.60.2.12  2002/10/23 06:47:53  cieciwa
- patch12 MUST BE -p0 !!!!

Revision 1.60.2.11  2002/10/21 18:06:11  baggins
- patch12 -p1

Revision 1.60.2.10  2002/10/04 08:51:26  cieciwa
- fixed bcond's.

Revision 1.60.2.9  2002/10/04 06:42:00  cieciwa
- added %%{_kernel_ver_str} to release.

Revision 1.60.2.8  2002/10/03 20:57:35  misiek
- without tex bcond

Revision 1.60.2.7  2002/09/24 18:12:45  baggins
- added grsecurity patch

Revision 1.60.2.6  2002/09/23 15:17:36  baggins
- release 3
- updated patch-o-matic userspace patches

Revision 1.60.2.5  2002/09/09 09:26:36  cieciwa
- release 2,
- readu to use with kernel-2.4.19.

Revision 1.60.2.4  2002/09/09 09:14:50  cieciwa
- updated patches fro patch-o-matic-20020825,
- added patch12,
- fixed requires [1.2.7 -> 1.2.7a].

Revision 1.60.2.3  2002/09/05 17:21:43  baggins
- removed patches 1 and 2, they are obsolete and outdated

Revision 1.60.2.2  2002/08/27 09:55:58  misiek
- 1.2.7a; nfy

Revision 1.60.2.1  2002/08/10 22:49:32  misiek
- 1.2.7 with imq patch

Revision 1.57  2002/06/10 07:40:24  cieciwa
- added BuildRequires: kernel_netfilter = 1.2.7

Revision 1.56  2002/06/10 06:29:16  cieciwa
- updated to version 1.2.7,
- added Requires: kernel_netfilter = 1.2.7 due to required header file.

Revision 1.55  2002/05/29 22:36:57  misiek
- rebuild with new kernel headers

Revision 1.54  2002/05/08 15:28:27  ggodlewski
- updated to 1.2.6a

Revision 1.53  2002/04/25 16:37:18  arturs
fixed a small typo

Revision 1.52  2002/03/27 14:20:26  wojrus
- added Provides: firewall-userspace-tool

Revision 1.51  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/17 14:07:49  misiek
- build debugging version only when requested

Revision 1.47  2002/01/14 00:23:30  misiek
- updated to 1.2.5

Revision 1.46  2001/11/24 15:05:08  qboosh
- adapterized, removed obsolete fix patch

Revision 1.45  2001/11/22 12:59:00  cieciwa
- updated to version 1.2.4.
NFY

Revision 1.44  2001/10/15 10:56:51  blues
- added fix patch - weak fixes, but work (v4 at least)

Revision 1.43  2001/09/23 14:14:17  orzech
- added %description devel -l pl

Revision 1.42  2001/09/23 14:06:43  orzech
- updated to 1.2.3
- updated URLs

Revision 1.41  2001/08/04 13:52:05  qboosh
- _without_ippool changed to _without_patchedkernel - more features require
  patched kernel (don't compile with vanilla 2.4.7)

Revision 1.40  2001/05/22 09:06:23  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.39  2001/05/21 16:41:44  baggins
- one more typo-fixing patch

Revision 1.38  2001/05/21 15:56:37  baggins
- typo

Revision 1.37  2001/05/21 15:52:55  baggins
- release 3
- added some fixes
- new table (prestate)
- log patch (-l option for iptables)

Revision 1.36  2001/05/21 01:38:31  baggins
- relase 2
- better ipv6-icmp fix

Revision 1.35  2001/05/12 18:22:55  qboosh
- _without_ippoll (ippool requires patched 2.4.x kernel)

Revision 1.34  2001/05/09 10:56:31  blues
- specs updated

Revision 1.33  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.32  2001/04/25 21:40:02  blues
- buildreq tetex-dvips
NOTE: making docs is really dirty. Can someone look at that?

Revision 1.31  2001/04/25 14:35:25  blues
- added tetex-latex to build-req

Revision 1.30  2001/03/19 19:47:00  baggins
- allow NETLINK extension to build

Revision 1.29  2001/03/19 19:44:44  baggins
- updated to 1.2.1a
- removed obsoleted CVS patch

Revision 1.28  2001/03/02 19:54:43  baggins
- release 6
- updated CVS patch
- added devel package

Revision 1.27  2001/02/22 18:37:58  waszi
- removed BuildRequires: mysql-devel

Revision 1.26  2001/02/20 17:18:41  baggins
- release 5
- news CVS patch

Revision 1.25  2001/02/19 18:08:10  baggins
- release 4
- added CVS patch
- added ipv6-icmp fix
- dropped rc.firewall script (use firewall-init-2.99.0/3.0.0)

Revision 1.24  2001/02/05 17:15:36  baggins
- release 3
- better psd (port scan detection) patch (match, not target)
- build all docs as txt and ps (html sucks)

Revision 1.23  2001/02/01 16:53:57  baggins
- release 2
- moved ulogd stuff into separate spec
- added PSD (port scan detection) patch

Revision 1.22  2001/01/08 09:49:37  misiek
updated to 1.2

Revision 1.21  2000/10/24 20:29:15  baggins
- split mysql stuff into its own package

Revision 1.20  2000/10/20 20:33:05  misiek
added BuildRequires:  mysql-devel

Revision 1.19  2000/10/20 19:40:55  misiek
BuildRequires: sgmls added

Revision 1.18  2000/10/20 15:06:12  baggins
- updated to iptables 1.1.2 and ulog 0.3

Revision 1.17  2000/08/12 03:17:55  baggins
- release 3
- added ulogd patch
- simplified build

Revision 1.16  2000/08/10 18:42:01  baggins
- release 2
- spec adapterized
- added netfilter_ULOG to sources
- added ULOG target support to iptables
- added ulog daemon

Revision 1.15  2000/07/14 14:53:12  baggins
- typo

Revision 1.14  2000/07/14 14:21:27  baggins
- updated to 1.1.1
- removed obsoleted IPv6 patch

Revision 1.13  2000/07/04 14:30:36  baggins
- release 5
- rc.firewall now knows about IPv6

Revision 1.12  2000/07/04 13:00:22  baggins
- release 4
- added IPv6 functionality from CVS

Revision 1.11  2000/06/28 17:19:59  baggins
- release 3
- removed ipv6-enable patch
- added patch from CVS for real support of IPv6

Revision 1.10  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/30 20:28:18  baggins
- release 2
- IPv6 on

Revision 1.8  2000/05/18 17:57:20  baggins
- updated to 1.1.0

Revision 1.7  2000/04/06 16:08:44  baggins
- version 1.0.0

Revision 1.6  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/30 08:01:47  waszi
- updated for 1.0.0beta version

Revision 1.4  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 15:44:25  misiek
- adaptized && fixed URL

Revision 1.2  2000/03/27 15:42:17  misiek
- added manuals
